<center><a href="dgcoor.c">Actual source code: dgcoor.c</a></center><br>

<html>
<head>
<title></title>
<meta name="generator" content="c2html 0.9.5">
<meta name="date" content="2007-03-29T00:17:36+00:00">
</head>

<body bgcolor="#FFFFFF">
<pre width="80"><a name="line1">  1: </a><strong><font color="#228B22">#define PETSC_DLL</font></strong>
<a name="line2">  2: </a><font color="#B22222">/*</font>
<a name="line3">  3: </a><font color="#B22222">       Provides the calling sequences for all the basic <A href="../../../../docs/manualpages/Draw/PetscDraw.html#PetscDraw">PetscDraw</A> routines.</font>
<a name="line4">  4: </a><font color="#B22222">*/</font>
<a name="line5"> 5: </a> #include <A href="../../../../src/sys/draw/drawimpl.h.html">src/sys/draw/drawimpl.h</A>

<a name="line9">  9: </a><font color="#B22222">/*@</font>
<a name="line10"> 10: </a><font color="#B22222">   <A href="../../../../docs/manualpages/Draw/PetscDrawGetCoordinates.html#PetscDrawGetCoordinates">PetscDrawGetCoordinates</A> - Gets the application coordinates of the corners of</font>
<a name="line11"> 11: </a><font color="#B22222">   the window (or page).</font>

<a name="line13"> 13: </a><font color="#B22222">   Not Collective</font>

<a name="line15"> 15: </a><font color="#B22222">   Input Parameter:</font>
<a name="line16"> 16: </a><font color="#B22222">.  draw - the drawing object</font>

<a name="line18"> 18: </a><font color="#B22222">   Level: advanced</font>

<a name="line20"> 20: </a><font color="#B22222">   Ouput Parameters:</font>
<a name="line21"> 21: </a><font color="#B22222">.  xl,yl,xr,yr - the coordinates of the lower left corner and upper</font>
<a name="line22"> 22: </a><font color="#B22222">                 right corner of the drawing region.</font>

<a name="line24"> 24: </a><font color="#B22222">   Concepts: drawing^coordinates</font>
<a name="line25"> 25: </a><font color="#B22222">   Concepts: graphics^coordinates</font>

<a name="line27"> 27: </a><font color="#B22222">.seealso: <A href="../../../../docs/manualpages/Draw/PetscDrawSetCoordinates.html#PetscDrawSetCoordinates">PetscDrawSetCoordinates</A>()</font>

<a name="line29"> 29: </a><font color="#B22222">@*/</font>
<a name="line30"> 30: </a><strong><font color="#4169E1"><a name="PetscDrawGetCoordinates"></a><A href="../../../../docs/manualpages/Sys/PetscErrorCode.html#PetscErrorCode">PetscErrorCode</A>  <A href="../../../../docs/manualpages/Draw/PetscDrawGetCoordinates.html#PetscDrawGetCoordinates">PetscDrawGetCoordinates</A>(<A href="../../../../docs/manualpages/Draw/PetscDraw.html#PetscDraw">PetscDraw</A> draw,<A href="../../../../docs/manualpages/Sys/PetscReal.html#PetscReal">PetscReal</A> *xl,<A href="../../../../docs/manualpages/Sys/PetscReal.html#PetscReal">PetscReal</A> *yl,<A href="../../../../docs/manualpages/Sys/PetscReal.html#PetscReal">PetscReal</A> *xr,<A href="../../../../docs/manualpages/Sys/PetscReal.html#PetscReal">PetscReal</A> *yr)</font></strong>
<a name="line31"> 31: </a>{
<a name="line38"> 38: </a>  *xl = draw-&gt;coor_xl; *yl = draw-&gt;coor_yl;
<a name="line39"> 39: </a>  *xr = draw-&gt;coor_xr; *yr = draw-&gt;coor_yr;
<a name="line40"> 40: </a>  <font color="#4169E1">return</font>(0);
<a name="line41"> 41: </a>}
</pre>
</body>

</html>
